## org.eclipse.emf.importer.java.builder
Enum JavaEcoreBuilder.RequiredClassifierType

    java.lang.Object
      java.lang.Enum<JavaEcoreBuilder.RequiredClassifierType>
          org.eclipse.emf.importer.java.builder.JavaEcoreBuilder.RequiredClassifierType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JavaEcoreBuilder.RequiredClassifierType>

Enclosing class:
  JavaEcoreBuilder

    protected static enum JavaEcoreBuilder.RequiredClassifierType

extends java.lang.Enum<JavaEcoreBuilder.RequiredClassifierType>

Enum Constant Summary
`CLASS`
`DATA_TYPE`
`NONE`

Method Summary
`static JavaEcoreBuilder.RequiredClassifierType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JavaEcoreBuilder.RequiredClassifierType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final JavaEcoreBuilder.RequiredClassifierType NONE

### CLASS

    public static final JavaEcoreBuilder.RequiredClassifierType CLASS

### DATA_TYPE

    public static final JavaEcoreBuilder.RequiredClassifierType DATA_TYPE

Method Detail

### values

    public static final JavaEcoreBuilder.RequiredClassifierType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(JavaEcoreBuilder.RequiredClassifierType c : JavaEcoreBuilder.RequiredClassifierType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static JavaEcoreBuilder.RequiredClassifierType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.